
; PICBASIC PRO(TM) Compiler 2.60, (c) 1998, 2009 microEngineering Labs, Inc. All Rights Reserved. 
PM_USED			EQU	1

	INCLUDE	"16F84A.INC"


; Define statements.
#define		OSC		 4
#define		LCD_DREG		 PORTB
#define		LCD_DBIT		 4
#define		LCD_RSREG		 PORTB
#define		LCD_RSBIT		 2
#define		LCD_EREG		 PORTB
#define		LCD_EBIT		 3
#define		LCD_BITS		 4
#define		LCD_LINES		 2 
#define		LCD_COMMANDUS		 2000
#define		LCD_DATAUS		 220

RAM_START       		EQU	0000Ch
RAM_END         		EQU	0004Fh
RAM_BANKS       		EQU	00001h
BANK0_START     		EQU	0000Ch
BANK0_END       		EQU	0004Fh
EEPROM_START    		EQU	02100h
EEPROM_END      		EQU	0213Fh

R0              		EQU	RAM_START + 000h
R1              		EQU	RAM_START + 002h
R2              		EQU	RAM_START + 004h
R3              		EQU	RAM_START + 006h
R4              		EQU	RAM_START + 008h
R5              		EQU	RAM_START + 00Ah
R6              		EQU	RAM_START + 00Ch
R7              		EQU	RAM_START + 00Eh
R8              		EQU	RAM_START + 010h
FLAGS           		EQU	RAM_START + 012h
GOP             		EQU	RAM_START + 013h
RM1             		EQU	RAM_START + 014h
RM2             		EQU	RAM_START + 015h
RR1             		EQU	RAM_START + 016h
RR2             		EQU	RAM_START + 017h
_Czastota        		EQU	RAM_START + 018h
_pau             		EQU	RAM_START + 01Ah
T1              		EQU	RAM_START + 01Ch
T2              		EQU	RAM_START + 01Eh
_PORTL           		EQU	 PORTB
_PORTH           		EQU	 PORTA
_TRISL           		EQU	 TRISB
_TRISH           		EQU	 TRISA
#define _PORTB??1        	 PORTB, 001h
#define _PORTA??0        	 PORTA, 000h
#define _PORTA??1        	 PORTA, 001h
#define _PORTA??3        	 PORTA, 003h
#define _PORTA??4        	 PORTA, 004h
	INCLUDE	"HPWM.MAC"
	INCLUDE	"PBPPIC14.LIB"


	ASM?
 device pic16F84A, xt_osc, wdt_off, protect_off, pwrt_on 

	ENDASM?

	MOVE?CB	000h, TRISB
	MOVE?CB	0FFh, TRISA
	MOVE?CB	000h, PORTB
	MOVE?CB	000h, PORTA
	MOVE?CW	0FAh, _Czastota
	MOVE?CW	00Ah, _pau
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	071h
	LCDOUT?C	077h
	LCDOUT?C	065h
	LCDOUT?C	072h
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	074h
	LCDOUT?C	072h
	LCDOUT?C	079h
	PAUSE?C	007D0h
	LCDOUT?C	0FEh
	LCDOUT?C	001h
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	06Ch
	LCDOUT?C	073h
	LCDOUT?C	066h
	LCDOUT?C	064h
	LCDOUT?C	020h
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	063h
	LCDOUT?C	076h
	LCDOUT?C	078h
	LCDOUT?C	076h
	LCDOUT?C	063h
	LCDOUT?C	078h
	PAUSE?C	007D0h
	LCDOUT?C	0FEh
	LCDOUT?C	001h
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	04Dh
	LCDOUT?C	073h
	LCDOUT?C	020h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_Czastota
	LCDOUTDEC?	
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	050h
	LCDOUT?C	061h
	LCDOUT?C	075h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_pau
	LCDOUTDEC?	
	PAUSE?C	001F4h

	LABEL?L	_main	
	PULSOUT?TW	_PORTB??1, _Czastota
	PAUSE?W	_pau
	CMPEQ?TCB	_PORTA??0, 001h, T1
	CMPLE?WCB	_Czastota, 007D0h, T2
	LAND?BBW	T1, T2, T2
	CMPF?WL	T2, L00001
	ADD?WCW	_Czastota, 00Ah, _Czastota
	LABEL?L	L00001	
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	04Dh
	LCDOUT?C	073h
	LCDOUT?C	020h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_Czastota
	LCDOUTDEC?	
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	050h
	LCDOUT?C	061h
	LCDOUT?C	075h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_pau
	LCDOUTDEC?	
	MOVE?CT	000h, _PORTA??0
	CMPEQ?TCB	_PORTA??1, 001h, T1
	CMPGE?WCB	_Czastota, 0FAh, T2
	LAND?BBW	T1, T2, T2
	CMPF?WL	T2, L00003
	SUB?WCW	_Czastota, 00Ah, _Czastota
	LABEL?L	L00003	
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	04Dh
	LCDOUT?C	073h
	LCDOUT?C	020h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_Czastota
	LCDOUTDEC?	
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	050h
	LCDOUT?C	061h
	LCDOUT?C	075h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_pau
	LCDOUTDEC?	
	MOVE?CT	000h, _PORTA??1
	CMPEQ?TCB	_PORTA??3, 001h, T1
	CMPLE?WCB	_pau, 0FAh, T2
	LAND?BBW	T1, T2, T2
	CMPF?WL	T2, L00005
	SUB?WCW	_pau, 00Ah, _pau
	LABEL?L	L00005	
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	04Dh
	LCDOUT?C	073h
	LCDOUT?C	020h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_Czastota
	LCDOUTDEC?	
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	050h
	LCDOUT?C	061h
	LCDOUT?C	075h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_pau
	LCDOUTDEC?	
	MOVE?CT	000h, _PORTA??3
	CMPEQ?TCB	_PORTA??4, 001h, T1
	CMPGE?WCB	_pau, 00Ah, T2
	LAND?BBW	T1, T2, T2
	CMPF?WL	T2, L00007
	ADD?WCW	_pau, 00Ah, _pau
	LABEL?L	L00007	
	LCDOUT?C	0FEh
	LCDOUT?C	080h
	LCDOUT?C	04Dh
	LCDOUT?C	073h
	LCDOUT?C	020h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_Czastota
	LCDOUTDEC?	
	LCDOUT?C	0FEh
	LCDOUT?C	0C0h
	LCDOUT?C	050h
	LCDOUT?C	061h
	LCDOUT?C	075h
	LCDOUT?C	020h
	LCDOUT?C	03Dh
	LCDOUT?C	020h
	LCDOUTCOUNT?C	000h
	LCDOUTNUM?W	_pau
	LCDOUTDEC?	
	MOVE?CT	000h, _PORTA??4
	GOTO?L	_main
	END?	

	END
